# Rudefox Cold

Rudefox is a pair of command line tools for the creation and management of Bitcoin wallets.

+ Use `rudefox-cold` on an air-gapped single-board computer, like a Raspberry Pi, to generate new wallets, obtain addresses and extended public keys from existing wallets and sign transactions offline.
+ Use `rudefox-hot` on a connected device to view your balance and utxo's and to create new, unsigned transactions.

## Mnemonic Generation

```bash
alice@cold.machine:~$ rudefox-cold mnemonic --interactive --dice-entropy --bits 128
Input 50 dice rolls [1-6]: 234322343242422344161254151
Input 23 more dice rolls [1-6]: 33116265515343114314456
Mnemonic Sentence: mountain tilt wing silk rude fox almost volume wine media verify card
```

### Mnemonic Options

```bash
usage: rudefox-cold mnemonic
 -b,--bits <128|160|192|224|256>   bits of entropy (default: 256)
 -d,--dice-entropy                 use dice entropy source
 -e,--events <EVENT_STRING>        string representing events from entropy source
 -h,--help                         display help message
 -i,--interactive                  use interactive command line mode
```

## Xpub Export

```bash
alice@cold.machine:~$ rudefox-cold wallet --sentence "stove prefer lunch collect small orphan wasp size beyond auction 
guilt great" --passphrase apple
xpub6CKy5SECeJipZid8dF3bopoMGdRzd7hMJuPzMGesZCobrMSssZyASexzXuzRTPVLcqqdyAEZJKPMGvDthgZW2Z3mPHLohxEAVbkvGKAXjqx
```
### QR Code Generation

```bash-qrcode
alice@cold.machine:~$ rudefox-cold wallet --sentence "stove prefer lunch collect small orphan wasp size beyond auction 
guilt great" --passphrase apple -q

█▀▀▀▀▀█ ▄█   █▄█ ▀▄▀ ▀▄▄▄██▄  █▀▄ █▀▀▀▀▀█
█ ███ █ ▀  ▀▄█▄▄▄▄██▄▄▄█  █  █▄   █ ███ █
█ ▀▀▀ █ █▄▀ █▄█▄▄▄▀█▀▄  ▄▀▀█▀ ▄▄▄ █ ▀▀▀ █
▀▀▀▀▀▀▀ █▄▀▄█ ▀▄█▄▀ ▀▄█ █ █▄▀▄▀ ▀ ▀▀▀▀▀▀▀
██ █  ▀█    ███ ██  ▄█▄▀▄▀▀██ █▀▄▄▀▀▀ ▀▀▄
██ ▀ █▀█▄▀█▄██▀ ▀ █▀ ▄▄▄▀██ █▀▀▀█ █▀  █▀
█▀█▄  ▀█▀▀ ▄█▄█▄▀ █▀█  ██▀▄█▀ ▄██▀█ ▀   ▀
▀██   ▀▄▄▀▄ ██ ▀██▄▀▄█▀▀█▄▀▄▀█▀▄▄▀▀█▄▀ █▀
▀█▄▄ ▀▀▄ ▀▀▀▄▀ ██▄▄ ▀ ▀ █▀ ▀▄▀ █ █ █▀█▄ ▄
███ █ ▀██ ▀▄▀█ ▄▄▀ ▄ ▄█▄▄ ▀▄██▄ ▀▄█▀▀  ▀▀
▀█▄█▄ ▀ ▀▄▄█  ▀▄ █ ▄▀▀  ▄▄▀▄█▄█ ██▀▀▀▀▀ █
▀ ▀▀▄ ▀▄█ ▄  ██▄▀▀██▄▄█▄ ▄█▄   █▀ ▄ ▄▀██
█ ▀▄▄▄▀█▀██▄▄▀▄▄▀█▄ █ ▄██▀▄  ▄ ▄▄█▀█ █ ▄
▀ ██ ▀▀▀▄ ▀██▄▄▄ ██  █▀█▀▄█ ▄▄▀▄▀▀ ▄█ ▀█▀
▀▄▄█ █▀ █▄▀ ██▀█▄ █▄▀████▀▄██ ▄▄▀█ █▀█▀▀█
▀  ▄▄ ▀▄▄▄▄▀█ ▄▀▀█████  ▀▀▀▄ █ ▄█▀█▀▀█▀▀▀
▀ ▀▀  ▀▀▄▀▀▄▄▀█▀▄ ▄███ ▀██▀▀█ █▄█▀▀▀█▄ █
█▀▀▀▀▀█ ▀▄█▄▀ ▄  █ ▀▄▄▄▄▄█▀  ▀▀ █ ▀ █ ▄█▄
█ ███ █ ▄ █▄ ▄ █▄▄  ▀█  █ ▄ ▀██ █▀█▀█ ▀█▀
█ ▀▀▀ █ ▄▄▀█ █ ▄ ▄█▄ ▄▄▀█▄▀  ▄█ █ ▀ █▀ █▀
▀▀▀▀▀▀▀ ▀▀   ▀  ▀    ▀▀   ▀  ▀  ▀▀▀  ▀▀▀
alice@cold.machine:~$ 
```

### Wallet Options

```bash
usage: rudefox-cold wallet
 -h,--help                      display help message
 -p,--passphrase <PASSPHRASE>   optional seed passphrase
 -s,--sentence <SENTENCE>       mnemonic sentence
 -q,--qrcode                    optional seed passphrase
```

# Pending Use Cases

- verify seed in interactive mode